# constitute.h File Reference

Go to the source code of this file.

## Enumerations

enum | StorageType { UndefinedPixel, CharPixel, DoublePixel, FloatPixel, IntegerPixel, LongPixel, QuantumPixel, ShortPixel }

## Functions

MagickExport Image * | ConstituteImage (const unsigned long, const unsigned long, const char *, const StorageType, const void *, ExceptionInfo *)
MagickExport Image ** | PingImage (const ImageInfo *, ExceptionInfo *)
MagickExport Image *** | ReadImage (const ImageInfo *, ExceptionInfo *)
MagickExport Image **** | ReadInlineImage (const ImageInfo *, const char *, ExceptionInfo *)
MagickExport MagickBooleanType | WriteImage (const ImageInfo *, Image *)
MagickExport MagickBooleanType | WriteImages (const ImageInfo *, Image *, const char *, ExceptionInfo *)
MagickExport void | DestroyConstitute (void)

## Enumeration Type Documentation

enum StorageType

Enumerator:

  UndefinedPixel |
  CharPixel |
  DoublePixel |
  FloatPixel |
  IntegerPixel |
  LongPixel |
  QuantumPixel |
  ShortPixel |

## Function Documentation

MagickExport Image* ConstituteImage | ( | const unsigned long | ,
|  | const unsigned long | ,
|  | const char * | ,
|  | const | StorageType,
|  | const void * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport void DestroyConstitute | ( | void |  | ) |

MagickExport Image* * PingImage | ( | const ImageInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * ReadImage | ( | const ImageInfo * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport Image* * * * ReadInlineImage | ( | const ImageInfo * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport MagickBooleanType WriteImage | ( | const ImageInfo * | ,
|  | Image * |  |
| ) |  |  |

MagickExport MagickBooleanType WriteImages | ( | const ImageInfo * | ,
|  | Image * | ,
|  | const char * | ,
|  | ExceptionInfo * |  |
| ) |  |  |